Page MenuHomePhabricator

Cite should not generate an empty reference list when no references are used on the page
Closed, ResolvedPublic

Description

Author: gnu1742

Description:
If you put the <references /> somewhere in an article, but have no <ref>-s
defined in the article, an empty <ol class='references'></ol> is generated.
According to the xhtml-specs, an ol must not be empty. Cite should state whether
there are Listitems to add or not. In the latter case, it should simply not add
the ol to the rendered Page.


Version: unspecified
Severity: normal

Details

Reference
bz9807

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:41 PM
bzimport added a project: Cite.
bzimport set Reference to bz9807.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 6 2007, 10:21 AM

robchur wrote:

*** This bug has been marked as a duplicate of 209 ***

Note that this bug and bug#209 are both marked as mutual duplicate of each other;
This bug was closed, and should not have been reopened because bug #209 is the tracking buglist related to all
bugs linked to strict XHTML conformance including validation with schemas and avoidance of deprecated legacy
elements and attributes.
please close again this one...

robchur wrote:

No, this bug is not a duplicate of bug 209. Bug 209 is a tracking bug, used to
keep track of bugs regarding XHTML compliance. I entered the bug number in the
wrong box when adding a dependence, and later corrected the mistake.

brion added a comment.May 8 2007, 9:21 PM

Fixed in r22012; just returning empty if there are no <ref>s seems most sensible.